Package name.pachler.nio.file.impl

# Class Windows

java.lang.Object
name.pachler.nio.file.impl.Windows

public class Windows extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CREATE_ALWAYS`
`static final int`
`CREATE_NEW`
`static final int`
`ERROR_ACCESS_DENIED`
`static final int`
`ERROR_ALREADY_EXISTS`
`static final int`
`ERROR_FILE_EXISTS`
`static final int`
`ERROR_FILE_NOT_FOUND`
`static final int`
`ERROR_INVALID_FUNCTION`
`static final int`
`ERROR_IO_INCOMPLETE`
`static final int`
`ERROR_IO_PENDING`
`static final int`
`ERROR_OPERATION_ABORTED`
`static final int`
`FILE_ADD_FILE`
`static final int`
`FILE_ADD_SUBDIRECTORY`
`static final int`
`FILE_APPEND_DATA`
`static final int`
`FILE_ATTRIBUTE_ARCHIVE`
`static final int`
`FILE_ATTRIBUTE_ENCRYPTED`
`static final int`
`FILE_ATTRIBUTE_HIDDEN`
`static final int`
`FILE_ATTRIBUTE_NORMAL`
`static final int`
`FILE_ATTRIBUTE_OFFLINE`
`static final int`
`FILE_ATTRIBUTE_READONLY`
`static final int`
`FILE_ATTRIBUTE_SYSTEM`
`static final int`
`FILE_ATTRIBUTE_TEMPORARY`
`static final int`
`FILE_CREATE_PIPE_INSTANCE`
`static final int`
`FILE_DELETE_CHILD`
`static final int`
`FILE_EXECUTE`
`static final int`
`FILE_FLAG_BACKUP_SEMANTICS`
`static final int`
`FILE_FLAG_DELETE_ON_CLOSE`
`static final int`
`FILE_FLAG_NO_BUFFERING`
`static final int`
`FILE_FLAG_OPEN_NO_RECALL`
`static final int`
`FILE_FLAG_OPEN_REPARSE_POINT`
`static final int`
`FILE_FLAG_OVERLAPPED`
`static final int`
`FILE_FLAG_POSIX_SEMANTICS`
`static final int`
`FILE_FLAG_RANDOM_ACCESS`
`static final int`
`FILE_FLAG_SEQUENTIAL_SCAN`
`static final int`
`FILE_FLAG_WRITE_THROUGH`
`static final int`
`FILE_LIST_DIRECTORY`
`static final int`
`FILE_READ_ATTRIBUTES`
`static final int`
`FILE_READ_DATA`
`static final int`
`FILE_READ_EA`
`static final int`
`FILE_READ_PROPERTIES`
`static final int`
`FILE_SHARE_DELETE`
`static final int`
`FILE_SHARE_READ`
`static final int`
`FILE_SHARE_WRITE`
`static final int`
`FILE_TRAVERSE`
`static final int`
`FILE_WRITE_ATTRIBUTES`
`static final int`
`FILE_WRITE_DATA`
`static final int`
`FILE_WRITE_EA`
`static final int`
`FILE_WRITE_PROPERTIES`
`static final int`
`GENERIC_ALL`
`static final int`
`GENERIC_EXECUTE`
`static final int`
`GENERIC_READ`
`static final int`
`GENERIC_WRITE`
`static final long`
`INVALID_HANDLE_VALUE`
`static final int`
`OPEN_ALWAYS`
`static final int`
`OPEN_EXISTING`
`static final int`
`TRUNCATE_EXISTING`

## Constructor Summary

Constructors
Constructor
Description
`Windows()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERIC_READ

public static final int GENERIC_READ

See Also:
  - Constant Field Values

### GENERIC_WRITE

public static final int GENERIC_WRITE

See Also:
  - Constant Field Values

### GENERIC_EXECUTE

public static final int GENERIC_EXECUTE

See Also:
  - Constant Field Values

### GENERIC_ALL

public static final int GENERIC_ALL

See Also:
  - Constant Field Values

### FILE_LIST_DIRECTORY

public static final int FILE_LIST_DIRECTORY

See Also:
  - Constant Field Values

### FILE_READ_DATA

public static final int FILE_READ_DATA

See Also:
  - Constant Field Values

### FILE_ADD_FILE

public static final int FILE_ADD_FILE

See Also:
  - Constant Field Values

### FILE_WRITE_DATA

public static final int FILE_WRITE_DATA

See Also:
  - Constant Field Values

### FILE_ADD_SUBDIRECTORY

public static final int FILE_ADD_SUBDIRECTORY

See Also:
  - Constant Field Values

### FILE_APPEND_DATA

public static final int FILE_APPEND_DATA

See Also:
  - Constant Field Values

### FILE_CREATE_PIPE_INSTANCE

public static final int FILE_CREATE_PIPE_INSTANCE

See Also:
  - Constant Field Values

### FILE_READ_EA

public static final int FILE_READ_EA

See Also:
  - Constant Field Values

### FILE_READ_PROPERTIES

public static final int FILE_READ_PROPERTIES

See Also:
  - Constant Field Values

### FILE_WRITE_EA

public static final int FILE_WRITE_EA

See Also:
  - Constant Field Values

### FILE_WRITE_PROPERTIES

public static final int FILE_WRITE_PROPERTIES

See Also:
  - Constant Field Values

### FILE_EXECUTE

public static final int FILE_EXECUTE

See Also:
  - Constant Field Values

### FILE_TRAVERSE

public static final int FILE_TRAVERSE

See Also:
  - Constant Field Values

### FILE_DELETE_CHILD

public static final int FILE_DELETE_CHILD

See Also:
  - Constant Field Values

### FILE_READ_ATTRIBUTES

public static final int FILE_READ_ATTRIBUTES

See Also:
  - Constant Field Values

### FILE_WRITE_ATTRIBUTES

public static final int FILE_WRITE_ATTRIBUTES

See Also:
  - Constant Field Values

### FILE_SHARE_READ

public static final int FILE_SHARE_READ

See Also:
  - Constant Field Values

### FILE_SHARE_WRITE

public static final int FILE_SHARE_WRITE

See Also:
  - Constant Field Values

### FILE_SHARE_DELETE

public static final int FILE_SHARE_DELETE

See Also:
  - Constant Field Values

### CREATE_NEW

public static final int CREATE_NEW

See Also:
  - Constant Field Values

### CREATE_ALWAYS

public static final int CREATE_ALWAYS

See Also:
  - Constant Field Values

### OPEN_EXISTING

public static final int OPEN_EXISTING

See Also:
  - Constant Field Values

### OPEN_ALWAYS

public static final int OPEN_ALWAYS

See Also:
  - Constant Field Values

### TRUNCATE_EXISTING

public static final int TRUNCATE_EXISTING

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_READONLY

public static final int FILE_ATTRIBUTE_READONLY

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_TEMPORARY

public static final int FILE_ATTRIBUTE_TEMPORARY

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_SYSTEM

public static final int FILE_ATTRIBUTE_SYSTEM

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_OFFLINE

public static final int FILE_ATTRIBUTE_OFFLINE

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_NORMAL

public static final int FILE_ATTRIBUTE_NORMAL

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_HIDDEN

public static final int FILE_ATTRIBUTE_HIDDEN

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_ENCRYPTED

public static final int FILE_ATTRIBUTE_ENCRYPTED

See Also:
  - Constant Field Values

### FILE_ATTRIBUTE_ARCHIVE

public static final int FILE_ATTRIBUTE_ARCHIVE

See Also:
  - Constant Field Values

### FILE_FLAG_BACKUP_SEMANTICS

public static final int FILE_FLAG_BACKUP_SEMANTICS

See Also:
  - Constant Field Values

### FILE_FLAG_DELETE_ON_CLOSE

public static final int FILE_FLAG_DELETE_ON_CLOSE

See Also:
  - Constant Field Values

### FILE_FLAG_NO_BUFFERING

public static final int FILE_FLAG_NO_BUFFERING

See Also:
  - Constant Field Values

### FILE_FLAG_OPEN_NO_RECALL

public static final int FILE_FLAG_OPEN_NO_RECALL

See Also:
  - Constant Field Values

### FILE_FLAG_OPEN_REPARSE_POINT

public static final int FILE_FLAG_OPEN_REPARSE_POINT

See Also:
  - Constant Field Values

### FILE_FLAG_OVERLAPPED

public static final int FILE_FLAG_OVERLAPPED

See Also:
  - Constant Field Values

### FILE_FLAG_POSIX_SEMANTICS

public static final int FILE_FLAG_POSIX_SEMANTICS

See Also:
  - Constant Field Values

### FILE_FLAG_RANDOM_ACCESS

public static final int FILE_FLAG_RANDOM_ACCESS

See Also:
  - Constant Field Values

### FILE_FLAG_SEQUENTIAL_SCAN

public static final int FILE_FLAG_SEQUENTIAL_SCAN

See Also:
  - Constant Field Values

### FILE_FLAG_WRITE_THROUGH

public static final int FILE_FLAG_WRITE_THROUGH

See Also:
  - Constant Field Values

### INVALID_HANDLE_VALUE

public static final long INVALID_HANDLE_VALUE

### ERROR_ALREADY_EXISTS

public static final int ERROR_ALREADY_EXISTS

See Also:
  - Constant Field Values

### ERROR_FILE_NOT_FOUND

public static final int ERROR_FILE_NOT_FOUND

See Also:
  - Constant Field Values

### ERROR_ACCESS_DENIED

public static final int ERROR_ACCESS_DENIED

See Also:
  - Constant Field Values

### ERROR_FILE_EXISTS

public static final int ERROR_FILE_EXISTS

See Also:
  - Constant Field Values

### ERROR_INVALID_FUNCTION

public static final int ERROR_INVALID_FUNCTION

See Also:
  - Constant Field Values

### ERROR_OPERATION_ABORTED

public static final int ERROR_OPERATION_ABORTED

See Also:
  - Constant Field Values

### ERROR_IO_INCOMPLETE

public static final int ERROR_IO_INCOMPLETE

See Also:
  - Constant Field Values

### ERROR_IO_PENDING

public static final int ERROR_IO_PENDING

See Also:
  - Constant Field Values

## Constructor Details

### Windows

public Windows()